#
# NanoLimbo configuration
#

# Server's host address and port. Set ip empty to use public address
bind:
  ip: 'localhost'
  port: 65535

# Max amount of players can join to server
# Set -1 to make it infinite
maxPlayers: 100

# Server's data in servers list
ping:
  description: '{"text": "&9NanoLimbo"}'
  version: 'NanoLimbo'

# Available dimensions: OVERWORLD, NETHER, THE_END
dimension: THE_END

# Whether to display the player in the player list
# For 1.16.5 clients player list will be sent even if disabled, to avoid crash
playerList:
  enable: false
  username: 'NanoLimbo'

# Whether to display header and footer in player list
headerAndFooter:
  enable: false
  header: '{"text": "&eWelcome!"}'
  footer: '{"text": "&9NanoLimbo"}'

# Spawn position in the world
spawnPosition:
  x: 0.0
  y: 64.0
  z: 0.0
  yaw: 0.0
  pitch: 0.0

# Setup player's game mode
# 0 - Survival
# 1 - Creative (hide HP and food bar)
# 2 - Adventure
# 3 - Spectator (hide all UI bars)
gameMode: 3

# Server name which is shown under F3
brandName:
  enable: true
  content: 'NanoLimbo'

# Message sends when player join to server
joinMessage:
  enable: true
  text: '{"text": "&eWelcome to the Limbo!"}'

# BossBar displays when player join to server
# Works on 1.9+ clients only
bossBar:
  enable: true
  text: '{"text": "Welcome to the Limbo!"}'
  health: 1.0
  # Available colors: PINK, BLUE, RED, GREEN, YELLOW, PURPLE, WHITE
  color: PINK
  # Available divisions: SOLID, DASHES_6, DASHES_10, DASHES_12, DASHES_20
  division: SOLID

# Display title and subtitle
title:
  enable: true
  # Set title text value empty, if you need only subtitle
  title: '{"text": "&9&lWelcome!"}'
  # Set subtitle text value empty, if you need only title
  subtitle: '{"text": "&6NanoLimbo"}'
  # Fade in time in ticks (1 sec = 20 ticks)
  fadeIn: 10
  # Stay time in ticks
  stay: 100
  # Fade out time in ticks
  fadeOut: 10

# Player info forwarding support.
# Available types:
#  - NONE
#  - LEGACY
#  - MODERN
#  - BUNGEE_GUARD
# Don't use secret if you not use MODERN type
infoForwarding:
  type: NONE
  secret: '<YOUR_SECRET_HERE>'
  tokens:
    - '<BUNGEE_GUARD_TOKEN>'

# Read timeout for connections in milliseconds
readTimeout: 30000

# Define log level. For production, I'd recommend to use level 2
# Log levels:
# 0 - Display only errors
# 1 - Display errors, warnings
# 2 - Display errors, warnings, info
# 3 - Display errors, warnings, info, debug
debugLevel: 2

# Warning! Do not touch params of this block, if you not completely sure what is this!
netty:
  # Use Linux native transport type, if it possible
  useEpoll: true
  # EventLoopGroup threads count
  threads:
    bossGroup: 1
    workerGroup: 4